Dpkg::Gettext(3)

NAME
Dpkg::Gettext - convenience wrapper around Locale::gettext

DESCRIPTION
The Dpkg::Gettext module is a convenience wrapper over the Locale::gettext module, to guarantee we always have working gettext functions, and to add some commonly used aliases.

VARIABLES

$Dpkg::Gettext::DEFAULT_TEXT_DOMAIN
    Specifies the default text domain name to be used with the short function aliases. This is intended to be used by the Dpkg modules, so that they can produce localized messages even when the calling program has set the current domain with textdomain(). If you would like to use the aliases for your own modules, you might want to set this variable to undef, or to another domain, but then the Dpkg modules will not produce localized messages.

FUNCTIONS

$trans = g_($msgid)
    Calls dgettext() on the $msgid and returns its translation for the current locale. If dgettext() is not available, simply returns $msgid.

$trans = C_($msgctxt, $msgid)
    Calls dgettext() on the $msgid and returns its translation for the specific $msgctxt supplied. If dgettext() is not available, simply returns $msgid.

$trans = P_($msgid, $msgid_plural, $n)
    Calls dngettext(), returning the correct translation for the plural form dependent on $n. If dngettext() is not available, returns $msgid if $n is 1 or $msgid_plural otherwise.

$msgid = N_($msgid)
    A pseudo function that servers as a marked for automated extraction of messages, but does not call gettext(). The run-time translation is done at a different place in the code.

CHANGES

  Version 1.02 (dpkg 1.18.3)
New function: N_().

  Version 1.01 (dpkg 1.18.0)
Now the short aliases (g_ and P_) will call domain aware functions with $DEFAULT_TEXT_DOMAIN.

New functions: g_(), C_().

Deprecated function: _g().

  Version 1.00 (dpkg 1.15.6)
Mark the module as public.